AbstractEventAggregator (Mule ESB 2.2.1 API)
Keywords: org.mule.routing.inbound.AbstractEventAggregator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.inbound
Class AbstractEventAggregator

    java.lang.Object
      org.mule.routing.AbstractRouter
          org.mule.routing.inbound.SelectiveConsumer
              org.mule.routing.inbound.AbstractEventAggregator

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, InboundRouter, Router

Direct Known Subclasses:
  AbstractCorrelationAggregator, CorrelationEventResequencer, MessageChunkingAggregator, SimpleCollectionAggregator

    public abstract class AbstractEventAggregator

extends SelectiveConsumer

`AbstractEventAggregator` will aggregate a set of messages into a single message.

Field Summary
`protected EventCorrelator` | `eventCorrelator`

Fields inherited from class org.mule.routing.inbound.SelectiveConsumer
`logger`

Fields inherited from class org.mule.routing.AbstractRouter
`muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`AbstractEventAggregator()`

Method Summary
`protected abstract EventCorrelatorCallback` | `getCorrelatorCallback()`
`int` | `getTimeout()`
`void` | `initialise()` Method used to perform any initialisation work.
`boolean` | `isFailOnTimeout()`
`MuleEvent[]` | `process(MuleEvent event)` A received MuleEvent is passed to this method for processing.
`void` | `setFailOnTimeout(boolean failOnTimeout)`
`void` | `setTimeout(int timeout)`

Methods inherited from class org.mule.routing.inbound.SelectiveConsumer
`getFilter, getMessageInfoMapping, isMatch, isTransformFirst, setFilter, setMessageInfoMapping, setTransformFirst`

Methods inherited from class org.mule.routing.AbstractRouter
`dispose, getMuleContext, getRouterStatistics, setMuleContext, setRouterStatistics`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.routing.Router
`getRouterStatistics, setRouterStatistics`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Field Detail

### eventCorrelator

    protected EventCorrelator eventCorrelator

Constructor Detail

### AbstractEventAggregator

    public AbstractEventAggregator()

Method Detail

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Overrides:
    `initialise` in class `AbstractRouter`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### getCorrelatorCallback

    protected abstract EventCorrelatorCallback getCorrelatorCallback()

### process

    public MuleEvent[] process(MuleEvent event)
                        throws MessagingException

  Description copied from interface: `InboundRouter`
  A received MuleEvent is passed to this method for processing. The router can control processing by either 1. passing back a null to indicate that the router has either discarded the event of the event has been stored for further processing. A reaosn for storing the event might be that other events in it's correlation group are expected to be received. 2. Pass back an array of one or more events to be processed by the service. Often 1 event is returned, i.e. in the case of event aggregation. The router may return an array of events if a set of events have been resequenced or multiple events have been generated from a single event.

  Specified by:
    `process` in interface `InboundRouter`
  Overrides:
    `process` in class `SelectiveConsumer`
  Parameters:
    `event` - the event received by the inbound endpoint before it is passed to the service
  Returns:
    null to indicate the event has been stored/destroyed or an array of events to be processed by the service
  Throws:
    `MessagingException` - if an error occurs during processing of the event

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int timeout)

### isFailOnTimeout

    public boolean isFailOnTimeout()

### setFailOnTimeout

    public void setFailOnTimeout(boolean failOnTimeout)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.